SOLVED WordPress Issue When Install/Upgrade Plugins or Themes

indoc0der

Member
Sep 4, 2011
18
1
53
cPanel Access Level
Root Administrator
Hello,

Today I am configuring a new server according to the standard. After I compile EA4 using CloudLinux + All Basic Options + ZendGuard profile, I choose suPHP as php-handler in MultiPHP Manager menu. And then create one hosting account and install WordPress. But, when I try to install new plugin via dashboard, I get error message: Installation failed: Could not create directory.

I do not know how to solve this problem. While on another server using the same settings, there is no problem at all. Including when I use PHP Selector though.

Any advice?

Thank you.
 

indoc0der

Member
Sep 4, 2011
18
1
53
cPanel Access Level
Root Administrator
UPDATE :

After change folder permission of wp-content to 775, now I can install/update plugin or themes. But it's still strange for me. On another server folder with permission 755 I don't have any problem.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,908
2,216
463
Hello,

You mentioned using suPHP, however could you verify the specific version of PHP associated with the account is configured with suPHP? EasyApache 4 offers the ability to use multiple versions of PHP, so check to verify the account in-question uses a version of PHP with suPHP enabled.

Also, since you are using CloudLinux, let us know if running the following command makes a difference:

Code:
cagefsctl --update
Thank you.